# Uses of Class
com.fasterxml.jackson.core.StreamWriteConstraints.Builder

Packages that use StreamWriteConstraints.Builder
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.

## Uses of StreamWriteConstraints.Builder in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return StreamWriteConstraints.Builder
Modifier and Type
Method
Description
`static StreamWriteConstraints.Builder`
StreamWriteConstraints.`builder()`
`StreamWriteConstraints.Builder`
StreamWriteConstraints.Builder.`maxNestingDepth(int maxNestingDepth)`
Sets the maximum nesting depth.
`StreamWriteConstraints.Builder`
StreamWriteConstraints.`rebuild()`